## ocaml-linenoise 1.5.1

=== Makefile ===

all: build test

build:
	@dune build @install

test:
	@dune runtest --no-buffer --force

example:
	@dune exec examples/show_off.exe

clean:
	@dune clean

doc:
	@dune build @doc

.PHONY: all build test example clean doc

=== debian/changelog ===
ocaml-linenoise (1.5.1-2build3) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 18 Jun 2025 09:37:48 +0200

ocaml-linenoise (1.5.1-2build2) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 30 Jan 2025 16:01:02 +0100

ocaml-linenoise (1.5.1-2build1) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 09 Aug 2024 14:43:36 +0200

ocaml-linenoise (1.5.1-2) unstable; urgency=medium

  * Install correctly library file on some architectures
    (Closes: #1071680)

 -- Bo YU <tsu.yubo@gmail.com>  Tue, 28 May 2024 11:11:51 +0200

ocaml-linenoise (1.5.1-1) unstable; urgency=medium

  * Initial release. (Closes: #1064586)

 -- Bo YU <tsu.yubo@gmail.com>  Wed, 24 Apr 2024 15:44:15 +0200

=== debian/control ===
Source: ocaml-linenoise
Priority: optional
Section: ocaml
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Bo YU <tsu.yubo@gmail.com>
Build-Depends:
 debhelper-compat (= 13),
 ocaml-dune,
 ocaml,
 libresult-ocaml-dev,
 dh-ocaml(>=1.2),
 ocaml-odoc,
Standards-Version: 4.7.0
Homepage: https://github.com/ocaml-community/ocaml-linenoise
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-linenoise.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-linenoise

Package: liblinenoise-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Lightweight readline alternative with OCaml (runtime)
 Self-contained OCaml bindings to linenoise, easy high level
 readline functionality in OCaml.
 .
 This package contains the runtime files.

Package: liblinenoise-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${misc:Depends},
 liblinenoise-ocaml (= ${binary:Version}),
 ocaml-findlib,
Provides: ${ocaml:Provides}
Description: Lightweight readline alternative with OCaml (development)
 Self-contained OCaml bindings to linenoise, easy high level
 readline functionality in OCaml.
 .
 This package contains the development files.

=== debian/watch ===
version=4
https://github.com/ocaml-community/ocaml-linenoise/tags .*/v?@ANY_VERSION@\.tar\.gz
